<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\Kurstag;

class WssFieldKurstagDatum extends \Kufer\Web\KuferTools\Utils\WssField\WssField
{
  public function getChangedInfo($columnValues, $changedDm, $changedFields): array
  {
    list('changed' => $changedDm, 'changedFields' => $changedFields) = parent::getChangedInfo($columnValues, $changedDm, $changedFields);

    if (\in_array('datum', $changedFields)) { 
      $changedFields[] = 'wotag';
    }

    return array('changed' => $changedDm, 'changedFields' => $changedFields);
  }
}